3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php echo "Thomorrow I'll learn PHP variables.\nThis is a bad command : del c:\\";
Output for 5.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
Thomorrow I'll learn PHP variables. This is a bad command : del c:\